--- old/usr/src/uts/common/io/comstar/port/iscsit/iscsit_isns.c	2015-08-19 07:24:57.071016961 -0400
+++ new/usr/src/uts/common/io/comstar/port/iscsit/iscsit_isns.c	2015-08-19 07:24:57.076560271 -0400
@@ -515,7 +515,7 @@
 	mutex_init(&isns_monitor_mutex, NULL, MUTEX_DEFAULT, NULL);
 	mutex_init(&esi.esi_mutex, NULL, MUTEX_DEFAULT, NULL);
 	isns_monitor_thr_id = NULL;
-	monitor_idle_interval = ISNS_IDLE_TIME * drv_usectohz(1000000);
+	monitor_idle_interval = drv_sectohz(ISNS_IDLE_TIME);
 	cv_init(&isns_idle_cv, NULL, CV_DEFAULT, NULL);
 	cv_init(&esi.esi_cv, NULL, CV_DEFAULT, NULL);
 	xid = 0;
@@ -1078,7 +1078,7 @@
 	 * messages we send to the iSNS server.
 	 */
 	mutex_exit(&isns_monitor_mutex);
-	delay(drv_usectohz(isns_initial_delay * 1000000));
+	delay(drv_sectohz(isns_initial_delay));
 	mutex_enter(&isns_monitor_mutex);
 
 	/* Force an initialization of isns_all_portals */
@@ -2874,7 +2874,7 @@
 			goto rcv_error;
 		}
 		rcv_timer = timeout(isnst_so_timeout, so,
-		    drv_usectohz(ISNS_RCV_TIMER_SECONDS * 1000000));
+		    drv_sectohz(ISNS_RCV_TIMER_SECONDS));
 		if (idm_sorecv(so, payload, payload_len) != 0) {
 			(void) untimeout(rcv_timer);
 			goto rcv_error;
@@ -3085,7 +3085,7 @@
 			ISNST_LOG(CE_WARN,
 			    "isnst_esi_thread: Unable to create socket");
 			mutex_exit(&esi.esi_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&esi.esi_mutex);
 			continue;
 		}
@@ -3106,7 +3106,7 @@
 			ISNST_LOG(CE_WARN, "Unable to bind socket for ESI");
 			idm_sodestroy(esi.esi_so);
 			mutex_exit(&esi.esi_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&esi.esi_mutex);
 			continue;
 		}
@@ -3124,7 +3124,7 @@
 			    "failure 0x%x", rc);
 			idm_sodestroy(esi.esi_so);
 			mutex_exit(&esi.esi_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&esi.esi_mutex);
 			continue;
 		}
